| Flutter Linux Embedder |

Public Member Functions | Public Attributes | List of all members
_FlEngine Struct Reference

## Public Member Functions
| FLUTTER_API_SYMBOL (FlutterEngine) engine

## Public Attributes
GObject | parent_instance
GThread * | thread
FlDartProject * | project
FlDisplayMonitor * | display_monitor
FlutterRendererType | renderer_type
FlOpenGLManager * | opengl_manager
FlBinaryMessenger * | binary_messenger
FlSettingsHandler * | settings_handler
FlPlatformHandler * | platform_handler
FlWindowingHandler * | windowing_handler
FlKeyboardManager * | keyboard_manager
FlTextInputHandler * | text_input_handler
FlKeyboardHandler * | keyboard_handler
FlMouseCursorHandler * | mouse_cursor_handler
FlTextureRegistrar * | texture_registrar
FlTaskRunner * | task_runner
FlutterEngineAOTData | aot_data
FlutterEngineProcTable | embedder_api
FlutterViewId | next_view_id
GHashTable * | renderables_by_view_id
FlEnginePlatformMessageHandler | platform_message_handler
gpointer | platform_message_handler_data
GDestroyNotify | platform_message_handler_destroy_notify

## Detailed Description

Definition at line 39 of file fl_engine.cc.

## Member Function Documentation

## ◆ FLUTTER_API_SYMBOL()

_FlEngine::FLUTTER_API_SYMBOL | ( | FlutterEngine |  | ) |

## Member Data Documentation

## ◆ aot_data

FlutterEngineAOTData _FlEngine::aot_data

Definition at line 88 of file fl_engine.cc.

## ◆ binary_messenger

FlBinaryMessenger* _FlEngine::binary_messenger

Definition at line 58 of file fl_engine.cc.

## ◆ display_monitor

FlDisplayMonitor* _FlEngine::display_monitor

Definition at line 49 of file fl_engine.cc.

## ◆ embedder_api

FlutterEngineProcTable _FlEngine::embedder_api

Definition at line 95 of file fl_engine.cc.

## ◆ keyboard_handler

FlKeyboardHandler* _FlEngine::keyboard_handler

Definition at line 76 of file fl_engine.cc.

## ◆ keyboard_manager

FlKeyboardManager* _FlEngine::keyboard_manager

Definition at line 70 of file fl_engine.cc.

## ◆ mouse_cursor_handler

FlMouseCursorHandler* _FlEngine::mouse_cursor_handler

Definition at line 79 of file fl_engine.cc.

## ◆ next_view_id

FlutterViewId _FlEngine::next_view_id

Definition at line 98 of file fl_engine.cc.

## ◆ opengl_manager

FlOpenGLManager* _FlEngine::opengl_manager

Definition at line 55 of file fl_engine.cc.

## ◆ parent_instance

GObject _FlEngine::parent_instance

Definition at line 40 of file fl_engine.cc.

## ◆ platform_handler

FlPlatformHandler* _FlEngine::platform_handler

Definition at line 64 of file fl_engine.cc.

## ◆ platform_message_handler

FlEnginePlatformMessageHandler _FlEngine::platform_message_handler

Definition at line 104 of file fl_engine.cc.

## ◆ platform_message_handler_data

gpointer _FlEngine::platform_message_handler_data

Definition at line 105 of file fl_engine.cc.

## ◆ platform_message_handler_destroy_notify

GDestroyNotify _FlEngine::platform_message_handler_destroy_notify

Definition at line 106 of file fl_engine.cc.

## ◆ project

FlDartProject* _FlEngine::project

Definition at line 46 of file fl_engine.cc.

## ◆ renderables_by_view_id

GHashTable* _FlEngine::renderables_by_view_id

Definition at line 101 of file fl_engine.cc.

## ◆ renderer_type

FlutterRendererType _FlEngine::renderer_type

Definition at line 52 of file fl_engine.cc.

## ◆ settings_handler

FlSettingsHandler* _FlEngine::settings_handler

Definition at line 61 of file fl_engine.cc.

## ◆ task_runner

FlTaskRunner* _FlEngine::task_runner

Definition at line 85 of file fl_engine.cc.

## ◆ text_input_handler

FlTextInputHandler* _FlEngine::text_input_handler

Definition at line 73 of file fl_engine.cc.

## ◆ texture_registrar

FlTextureRegistrar* _FlEngine::texture_registrar

Definition at line 82 of file fl_engine.cc.

## ◆ thread

GThread* _FlEngine::thread

Definition at line 43 of file fl_engine.cc.

## ◆ windowing_handler

FlWindowingHandler* _FlEngine::windowing_handler

Definition at line 67 of file fl_engine.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_engine.cc